Package org.apache.batchee.container.impl

## Class StepExecutionImpl

- java.lang.Object
- - org.apache.batchee.container.impl.StepExecutionImpl

- All Implemented Interfaces:
    `Serializable`, `javax.batch.runtime.StepExecution`

      public class StepExecutionImpl
      extends Object
      implements javax.batch.runtime.StepExecution, Serializable

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `StepExecutionImpl​(long jobExecutionId, long stepExecutionId)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `javax.batch.runtime.BatchStatus` | `getBatchStatus()` |
    `Date` | `getEndTime()` |
    `String` | `getExitStatus()` |
    `javax.batch.runtime.Metric[]` | `getMetrics()` |
    `Serializable` | `getPersistentUserData()` |
    `Date` | `getStartTime()` |
    `long` | `getStepExecutionId()` |
    `String` | `getStepName()` |
    `void` | `setBatchStatus​(javax.batch.runtime.BatchStatus batchstatus)` |
    `void` | `setCommitCount​(long commitCnt)` |
    `void` | `setEndTime​(Timestamp endts)` |
    `void` | `setExitStatus​(String exitstatus)` |
    `void` | `setFilterCount​(long filterCnt)` |
    `void` | `setPersistentUserData​(Serializable data)` |
    `void` | `setProcessSkipCount​(long processSkipCnt)` |
    `void` | `setReadCount​(long readCnt)` |
    `void` | `setReadSkipCount​(long readSkipCnt)` |
    `void` | `setRollbackCount​(long rollbackCnt)` |
    `void` | `setStartTime​(Timestamp startts)` |
    `void` | `setStepContext​(StepContextImpl stepContext)` |
    `void` | `setStepName​(String stepName)` |
    `void` | `setWriteCount​(long writeCnt)` |
    `void` | `setWriteSkipCount​(long writeSkipCnt)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionImpl

          public StepExecutionImpl​(long jobExecutionId,
                                   long stepExecutionId)

  - ### Method Detail

    - #### getStepExecutionId

          public long getStepExecutionId()

      Specified by:
        `getStepExecutionId` in interface `javax.batch.runtime.StepExecution`

    - #### getEndTime

          public Date getEndTime()

      Specified by:
        `getEndTime` in interface `javax.batch.runtime.StepExecution`

    - #### getExitStatus

          public String getExitStatus()

      Specified by:
        `getExitStatus` in interface `javax.batch.runtime.StepExecution`

    - #### getStartTime

          public Date getStartTime()

      Specified by:
        `getStartTime` in interface `javax.batch.runtime.StepExecution`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### getMetrics

          public javax.batch.runtime.Metric[] getMetrics()

      Specified by:
        `getMetrics` in interface `javax.batch.runtime.StepExecution`

    - #### getBatchStatus

          public javax.batch.runtime.BatchStatus getBatchStatus()

      Specified by:
        `getBatchStatus` in interface `javax.batch.runtime.StepExecution`

    - #### getPersistentUserData

          public Serializable getPersistentUserData()

      Specified by:
        `getPersistentUserData` in interface `javax.batch.runtime.StepExecution`

    - #### setFilterCount

          public void setFilterCount​(long filterCnt)

    - #### setProcessSkipCount

          public void setProcessSkipCount​(long processSkipCnt)

    - #### setReadCount

          public void setReadCount​(long readCnt)

    - #### setReadSkipCount

          public void setReadSkipCount​(long readSkipCnt)

    - #### setRollbackCount

          public void setRollbackCount​(long rollbackCnt)

    - #### setStepName

          public void setStepName​(String stepName)

    - #### setWriteCount

          public void setWriteCount​(long writeCnt)

    - #### setWriteSkipCount

          public void setWriteSkipCount​(long writeSkipCnt)

    - #### setStepContext

          public void setStepContext​(StepContextImpl stepContext)

    - #### setCommitCount

          public void setCommitCount​(long commitCnt)

    - #### setBatchStatus

          public void setBatchStatus​(javax.batch.runtime.BatchStatus batchstatus)

    - #### setExitStatus

          public void setExitStatus​(String exitstatus)

    - #### setStartTime

          public void setStartTime​(Timestamp startts)

    - #### setEndTime

          public void setEndTime​(Timestamp endts)

    - #### setPersistentUserData

          public void setPersistentUserData​(Serializable data)

    - #### getStepName

          public String getStepName()

      Specified by:
        `getStepName` in interface `javax.batch.runtime.StepExecution`